Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86392 - Error Registering for Redhat Update Agent
Summary: Error Registering for Redhat Update Agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 06:39 UTC by Todd Bailey
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-02 19:06:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Todd Bailey 2003-03-21 06:39:30 UTC
Description of problem:

running up2date, dialog "your system does not appear to be registered....."


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
running up2date, dialog "your system does not appear to be registered....."
click on register with rhn
click on forward
failure to display privacy statment
enter user/password/email address
click forward
click forward on step 2 page
enter profile name (step 3)
click forward
progres dialog is displayed
and step 3 register a system profile - packages page is displayed
click forward 
click forawrd


Actual results:

dialog displayed " problem registering username "
     


Expected results:


Additional info:

new installation, dhcp connection, proxy off

Comment 1 Todd Bailey 2003-03-21 06:48:00 UTC
kernel = 2.4.18-14

Comment 2 Todd Bailey 2003-03-21 06:50:22 UTC
running up2date from terminal window yields:

[root@localhost root]# up2date
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 384, in onPrivacyPagePrepare
   text = rhnreg.privacyText()
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 176, in privacyText
    return rpcServer.doCall(s.registration.privacy_statement)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 107, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in send_http
    headers=self.headers)
  File "/usr/lib/python2.2/httplib.py", line 537, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python2.2/httplib.py", line 553, in _send_request
    self.putrequest(method, url)
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 217, in
putrequest
    return HTTPConnection.putrequest(self, method, url, skip_host=skip_host)
  File "/usr/lib/python2.2/httplib.py", line 453, in putrequest
    self.send(str)
  File "/usr/lib/python2.2/httplib.py", line 407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
SSL.Error: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]



Note You need to log in before you can comment on or make changes to this bug.